Support » Plugin: Product Country Restrictions » Creating Errors with WordPress 4.9

  • Resolved webswift

    (@webswift)


    Hi, I was testing some changes to my WP Site and upon checking the PHP Error log, I found multiple occurrences of the following error;

    [24-Nov-2017 23:25:32 UTC] id was called incorrectly. Order properties should not be accessed directly. Backtrace: do_action(‘wp_ajax_woocommerce_mark_order_status’), WP_Hook->do_action, WP_Hook->apply_filters, WC_AJAX::mark_order_status, WC_Order->update_status, WC_Order->save, WC_Order->status_transition, do_action(‘woocommerce_order_status_pending_to_processing’), WP_Hook->do_action, WP_Hook->apply_filters, WC_Emails::send_transactional_email, do_action_ref_array, WP_Hook->do_action, WP_Hook->apply_filters, WC_Email_New_Order->trigger, WC_Email->get_content, WC_Email_New_Order->get_content_html, wc_get_template_html, wc_get_template, include(‘/plugins/woocommerce/templates/emails/admin-new-order.php’), do_action(‘woocommerce_email_order_details’), WP_Hook->do_action, WP_Hook->apply_filters, WC_Emails->order_details, wc_get_template, include(‘/plugins/woocommerce/templates/emails/email-order-details.php’), do_action(‘woocommerce_email_before_order_table’), WP_Hook->do_action, WP_Hook->apply_filters, Woo_Paypal_Plus_Gateway->email_instructions, WC_Abstract_Legacy_Order->__get, wc_doing_it_wrong. This message was added in version 3.0.

    Is this something that can be fixed? It doesn’t sound like a big problem. More of a syntax issue. But I leave that up to the developer to decide.

    Cheers, Markus

Viewing 3 replies - 1 through 3 (of 3 total)
  • I’m terribly sorry, but I posted a message from the wrong plugin. But the error message was very similar (hence my mistake). I’ll recreate the error and post the correct error message.

    OK, here is the correct error message;

    Nov 25, 20:02:06
    id was called incorrectly. Product properties should not be accessed directly. Backtrace: require(‘wp-blog-header.php’), require_once(‘wp-load.php’), require_once(‘wp-config.php’), require_once(‘wp-settings.php’), do_action(‘wp_loaded’), WP_Hook->do_action, WP_Hook->apply_filters, WC_Cart_Session->get_cart_from_session, WC_Product->is_purchasable, apply_filters(‘woocommerce_is_purchasable’), WP_Hook->apply_filters, FZ_Product_Country_Restrictions->is_purchasable, FZ_Product_Country_Restrictions->is_restricted, WC_Abstract_Legacy_Product->__get, wc_doing_it_wrong. This message was added in version 3.0.

    Cheers, Markus

    Plugin Author Bizilica

    (@bizilica)

    I just uploaded 0.4.2, try it out and let me know if it didn’t help!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Creating Errors with WordPress 4.9’ is closed to new replies.